import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    questionInfo: {},
    answerRecord: null,
    isSubmitted: false,
  },
  getters: {
  },
  mutations: {
    setQuestionInfo(state, value) {
      state.questionInfo = value
    },
    setAnswerRecord(state, value) {
      state.answerRecord = value
    },
    setIsSubmitted(state, value) {
      state.isSubmitted = value
    },
  },
  actions: {
  },
  modules: {
  }
})
